#
# get these from your ustream dashboard, under remote section
RTMP_URL=rtmp://xxxx
KEY=xxxx
    
echo "streaming start"

#
# Pinnacle Dazzle DVC does not work at full res 720x576, get green banding.
# reducing down 360 by 288 works ok
v4l2-ctl --set-fmt-video=width=360,height=288

mkfifo stream.video.h264
./raspiv4l.bin -o > stream.video.h264 &
./ffmpeg -re -f h264 -i stream.video.h264 -c copy -f flv "${RTMP_URL}/${KEY} flashver=FME/2.5\20(compatible;\20FMSc\201.0)"

#
# working example with audio and video.
# however, get audio crackling - problem looks to be not reading from alsa buffers quick enough
#
#./raspiv4l.bin -o | ./ffmpeg -f h264 -i - -f alsa -i hw:1,0 \
#-map 0:0 -map 1:0 \
#-c:v copy \
#-c:a:0 libmp3lame -b:a:0 16k -ac:a:0 1 -ar:a:0 11025 \
#-f flv "${RTMP_URL}/${KEY} flashver=FME/2.5\20(compatible;\20FMSc\201.0)"

#
# another example with audio and video.
# arecord + lame use less cpu than doing the audio capture and encode in ffmpg
# but still get audio crackling.
#mkfifo stream.audio.mp3
#./raspiv4l.bin -o > stream.video.h264 &
#arecord -D default:CARD=DVC100 -c 1 -f S16_LE -r 11025 -t raw - | lame --preset cbr 16 -r -s 11025 -m m -> stream.audio.mp3 &
#./ffmpeg -re -f h264 -i stream.video.h264 -f mp3 -i stream.audio.mp3 -c copy -f flv "${RTMP_URL}/${KEY} flashver=FME/2.5\20(compatible;\20FMSc\201.0)"

